function zncc = ZNCC( patch1, patch2 )
%ZNCC calculates ZNCC error

assert(isequal(size(patch1), size(patch2)));

patch1 = patch1 - mean(patch1(:));
patch2 = patch2 - mean(patch2(:));

patch1_squared = patch1.^2;
patch2_squared = patch2.^2;
patch12 = patch1.*patch2;

zncc = sum(patch12(:)) / ...
    (sqrt(sum(patch1_squared(:))) * sqrt(sum(patch2_squared(:))));

end

