function px = project3d( pt, P )
%PROJECT3D projects 3d points to image points
%   Input:
%       pt 3x1 3D points
%       P  3x4 projection matrix
%   output:
%       px 2x1 projected image point

assert(isequal(size(pt), [3, 1]))
assert(isequal(size(P), [3, 4]))

px_homo = P * [pt; 1];
px = px_homo(1:2) / px_homo(3);

end

